#ifndef TEST_SCREEN_MONITOR_H
#define TEST_SCREEN_MONITOR_H

#include <QObject>

namespace Sidebar {

class ScreenMonitor : public QObject
{
    Q_OBJECT
public:
    static ScreenMonitor *getInstance();
    bool getScreenLockState() const;
    void setScreenLockState(bool state);

Q_SIGNALS:
    void screenLockStateChanged(bool state);

private:
    explicit ScreenMonitor(QObject *parent = nullptr);
    bool m_screenLockState {false};
};

} // namespace Sidebar

#endif
